## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XdmAtomicType

    public class XdmAtomicType

extends XdmItemType

  An instance of class `XdmAtomicType` represents a specific atomic type, for example `xs:double`, `xs:integer`, or `xs:anyAtomicType`. This may be either a built-in atomic type or a type defined in a user-written schema.

  To get an `XdmAtomicType` instance representing a built-in atomic type, use one of the predefined instances of the subclass `XdmBuiltInAtomicType`. To get an `XdmAtomicType` instance representing a user-defined atomic type (defined in a schema), use the method `GetAtomicType` defined on the `SchemaManager` class.

Property Summary
`QName` | `Name` The name of the atomic type, or null if the type is anonymous

Method Summary
static`XdmAtomicType` | `BuiltInAtomicType(QName name)` Get an XdmAtomicType object representing a built-in atomic type with a given name

Property Detail

### Name

    public QName Name {get; }

  The name of the atomic type, or null if the type is anonymous

Method Detail

### BuiltInAtomicType

    public static XdmAtomicType BuiltInAtomicType(QName name)

  Get an XdmAtomicType object representing a built-in atomic type with a given name

  Parameters:
  `name` -
    The name of the required built-in atomic type
  returns
    An XdmAtomicType object representing the built-in atomic type with the supplied name. Returns null if there is no built-in atomic type with this name. It is undefined whether two requests for the same built-in type will return the same object.